import { getAllRoleList } from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import { h } from 'vue';
import { Switch } from 'ant-design-vue';
import { useMessage } from '@/hooks/web/useMessage';
import { changeFlagApi } from '@/api/system/user/user';
// 引入开关组件
type CheckedType = boolean | string | number;

/** 列表筛选项*/
export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '',
    component: 'Input',
    colProps: { span: 4 },
    componentProps: {
      placeholder: '输入关键字搜索',
    },
  },
];
export const detailSchemas: FormSchema[] = [
  {
    field: 'name',
    label: '',
    component: 'Input',
    colProps: { span: 4 },
    componentProps: {
      placeholder: '输入关键字搜索',
    },
  },
];

/** api列表展示字段*/
export const detailsColumns: BasicColumn[] = [
  {
    title: 'API名称',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '路径',
    dataIndex: 'path',
    width: 120,
  },
  {
    title: '状态',
    dataIndex: 'flag',
    width: 120,
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
    width: 120,
  },
  {
    title: '更新时间',
    dataIndex: 'upDateTime',
    width: 120,
  },
  {
    title: '拥有者',
    dataIndex: 'Owner',
    width: 120,
  },
]

/** executor列表展示字段*/
export const detailsColumns2: BasicColumn[] = [
  {
    title: 'IP地址',
    dataIndex: 'IP',
    width: 120,
  },
  {
    title: '路径',
    dataIndex: 'path',
    width: 120,
  },
]

/** 列表展示字段*/
export const columns: BasicColumn[] = [
  {
    title: '业务分组名称',
    dataIndex: 'name',
    width: 120,
    slots: { customRender: 'name' },
  },
  {
    title: '关联API路由数',
    dataIndex: 'apiRoutNum',
    width: 120,
  },
  {
    title: '关联executor数',
    dataIndex: 'executorNum',
    width: 120,
  },
];

/**详情基本信息-展示字段*/
export const refundSchema: DescItem[] = [
  {
    field: 'groupingName',
    label: '业务分组名称',
  },
  {
    field: 'description',
    label: '描述',
  },
  {
    field: 'bind',
    label: '绑定运行环境',
  },
];
export const refundData = {
  groupingName: '默认业务分组',
  description: '-',
  bind: '否',
};


/**新建文件夹 表单*/
export const createDocumentFormSchema: FormSchema[] = [
  {
    field: 'moveTo',
    label: '移动至',
    component: 'Select',
    defaultValue: '默认分组',
    colProps: { lg: 24, md: 24 },
    rules: [
      {
        required: true,
        message: '请选择移动目标文件夹',
      },
    ],
    componentProps: {
      options: [
        {
          label: '默认分组',
          value: '默认分组',
        },
        {
          label: 'test1',
          value: 'test1',
        },
        {
          label: 'test2',
          value: 'test2',
        },
      ],
    },
  },
];
  // const [registerTable] = useTable({
  //   title: '可编辑单元格示例',
  //   api: demoListApi,
  //   columns: columns,
  //   showIndexColumn: false,
  //   bordered: true,
  // });
